# Class: YARD::Tags::OptionTag

Inherits:
  Tag
  - Object
  - Tag
  - YARD::Tags::OptionTag
  show all

Defined in:
  lib/yard/tags/option_tag.rb

## Instance Attribute Summary collapse

- #pair ⇒ Object

  Returns the value of attribute pair.

## Instance Method Summary collapse

- #initialize(tag_name, name, pair) ⇒ OptionTag constructor

  A new instance of OptionTag.

## Constructor Details

### #initialize(tag_name, name, pair) ⇒ `OptionTag`

Returns a new instance of OptionTag.

    7
    8
    9
    10

    # File 'lib/yard/tags/option_tag.rb', line 7

    def initialize(tag_name, name, pair)
      super(tag_name, nil, nil, name)
      @pair = pair
    end

## Instance Attribute Details

### #pair ⇒ `Object`

Returns the value of attribute pair.

    5
    6
    7

    # File 'lib/yard/tags/option_tag.rb', line 5

    def pair
      @pair
    end